Subject: [MIB-DOCTORS] FW: WG Review: Metric Blocks for use with RTCP's Extended Report Framework (xrblock)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 12 Jan 2011 12:21:54 +0100

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
IESG Secretary
Sent: Tuesday, January 11, 2011 8:38 PM
To: [email-masked]
Subject: WG Review: Metric Blocks for use with RTCP's Extended Report
Framework (xrblock) 

A new IETF working group has been proposed in the Real-Time Applications
and Infrastructure Area.  The IESG has not made any determination as
yet.
The following draft charter was submitted, and is provided for
informational purposes only. Please send your comments to the IESG
mailing
list ([email-masked]) by Tuesday, January 18, 2011.               

Metric Blocks for use with RTCP's Extended Report Framework (xrblock)
-------------------------------------------
Current Status: Proposed Working Group
Last modified: 2010-12-03

Chairs: TBD

Real-Time Applications and Infrastructure Area Directors:
  Gonzalo Camarillo <[email-masked]>
  Robert Sparks <[email-masked]>

Real-Time Applications and Infrastructure Area Advisor:
  Robert Sparks <[email-masked]>

Mailing Lists: TBD

Description of Working Group:

RFC3611, "RTP Control Protocol Extended Reports (RTCP XR)" established a
framework to allow new information to be conveyed in RTCP, supplementing
the original report blocks defined in RFC 3550, "RTP: A Transport
Protocol for Real-Time Applications".

The XRBLOCK working group is chartered to work within this framework,
evaluating proposals for report block definitions containing new
metrics.  The group will follow the guidelines established in RFC5968,
"Guidelines for Extending the RTP Control Protocol (RTCP)" and RTP
Monitoring Architecture being developed in the RTPCORE working group.

Goals and Milestones:

Mar 2011  Submit RTCP XR Report Block for Measurement Identity Mar 2011
Submit RTCP XR Report Block for Burst/Gap Discard metric 
          Reporting
Mar 2011  Submit RTCP XR Report Block for Burst/Gap Loss metric 
          Reporting
Jun 2011  Submit RTCP XR Report Block for Concealed Seconds metric 
          Reporting
Jun 2011  Submit RTCP XR Report Block for Delay metric Reporting Jun
2011  Submit RTCP XR Report Block for Discard metric Reporting Sep 2011
Submit RTCP XR Report Block for Jitter Buffer Metric Reporting Sep 2011
Submit RTCP XR Report Block for Loss Concealment metric 
          Reporting
Sep 2011  Submit RTCP XR Report Block for Packet Delay Variation Metric 
          Reporting
Dec 2011  Submit RTCP XR Report Block for Run Length Encodings of 
          Discarded Packets
Dec 2011  Submit RTCP XR Report Block for QoE Metrics Reporting

---

From: Benoit Claise <[email-masked]>
Date: Thu, 13 Jan 2011 10:03:17 +0100

Dan,

This one would be a good candidate for the PMOL guidelines.
Not sure if PMOL should be mentioned in the charter though...

Regards, Benoit.
>    Gonzalo Camarillo<[email-masked]>
>    Robert Sparks<[email-masked]>
>
>    Robert Sparks<[email-masked]>
>
> Mailing Lists: TBD
>
> _______________________________________________
> OPS-DIR mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ops-dir

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 13 Jan 2011 11:39:58 +0100

Hard to refer it in the charter as long as the RFC is not published. 

Dan

> From: Benoit Claise [mailto:[email-masked]] 
> Sent: Thursday, January 13, 2011 11:03 AM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; IETF DNS Directorate; 
> [email-masked]; [email-masked]; YANG Doctors
> Subject: Re: [OPS-DIR] FW: WG Review: Metric Blocks for use 
> with RTCP's Extended Report Framework (xrblock)
> 
> Dan,
> 
> > From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> > Of IESG Secretary
> > A new IETF working group has been proposed in the Real-Time 
> > Applications and Infrastructure Area.  The IESG has not made any 
> > determination as yet.
> > mailing list ([email-masked]) by Tuesday, January 18, 2011.
> >
> > Current Status: Proposed Working Group Last modified: 2010-12-03
> >
> > Chairs: TBD
> >
> > RFC3611, "RTP Control Protocol Extended Reports (RTCP XR)" 
> established 
> > a framework to allow new information to be conveyed in RTCP, 
> > supplementing the original report blocks defined in RFC 
> 3550, "RTP: A 
> > Transport Protocol for Real-Time Applications".
> >
> > Mar 2011  Submit RTCP XR Report Block for Measurement Identity Mar 
> > 2011 Submit RTCP XR Report Block for Burst/Gap Discard metric
> >            Reporting
> > 2011  Submit RTCP XR Report Block for Discard metric Reporting Sep 
> > 2011 Submit RTCP XR Report Block for Jitter Buffer Metric Reporting 
> > Sep 2011 Submit RTCP XR Report Block for Loss Concealment metric
> >            Reporting

---

From: Benoit Claise <[email-masked]>
Date: Thu, 13 Jan 2011 13:50:12 +0100

Dan,

Understood. Btw, interestingly, I was working on the PMOL framework this 
morning. The IETF last-call is not that far.
However, I was thinking of a generic sentence that will point to PMOL 
without mentioning it.
Something such as: "The definition of performance metrics should be 
consistent with the existing common practice in the IETF"

Regards, Benoit.

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 13 Jan 2011 16:55:57 +0100

Actually this may be a good idea. You can make this comment to the IESG
as the charter is in public external review. It will draw more attention
to the PMOL guidelines which is not a bad thing either. 

Thanks and Regards,

Dan

> Sent: Thursday, January 13, 2011 2:50 PM
> To: Romascanu, Dan (Dan)
> Understood. Btw, interestingly, I was working on the PMOL 
> framework this morning. The IETF last-call is not that far.
> However, I was thinking of a generic sentence that will point 
> to PMOL without mentioning it.
> Something such as: "The definition of performance metrics 
> should be consistent with the existing common practice in the IETF"
> 
> Regards, Benoit.
> >> Cc: [email-masked]; IETF DNS Directorate; [email-masked]; 
> >> [email-masked]; YANG Doctors
> >> Subject: Re: [OPS-DIR] FW: WG Review: Metric Blocks for use with 
> >> RTCP's Extended Report Framework (xrblock)
> >>
> >> Dan,
> >>

---

From: Al Morton <[email-masked]>
Date: Thu, 13 Jan 2011 11:21:55 -0500

I think some of the RTCP metrics are only defined in a general way,
using other standards with more detail as references (when available).
I haven't combed the entire crop of RTCP extension drafts, but this
was certainly true in some of them, and in RFC 3611, RTCP-XR.

I support the comment, in any case,
Al